/***************************************************************
*																					*
*	bitio.h: Logical I/O Bit Assignments								*
*																					*
*	Originally developed for PSE-407 Repeater Controller, 		*
*	Modified for PSE-508.													*
*																					*
*	Copyright 2006 by Pion and Simon Electronics.  All				*
*	rights reserved.															*
*																					*
    This file is part of the PSE-508 project

    The PSE-508 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-508 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/


//		*** DATA STRUCTURE DEFINITIONS ***


//		*** Logical Bit I/O Port Addresses ***

// The following definitions define logical input and output bits.
// Logical I/O bits are always active high.  The logical to physical
// translation as well as the active level translation are handled
// in bitio.c.

	//	Logical Output Bit Addresses:

#define O_VIDPLAY				0		// 0: Playback Voice ID

#define O_RXENA				2		// 2: Rx Audio Enable
#define O_PTT					3		// 3: Transmitter Enable
#define O_VID_MUTE			4		// 4: Mute Voice ID Output
#define O_UNSQULED			5		// 5: Receiver unsquelched.

#define O_VIDREC				7		// 7: Enable Voice ID Recording


	//	Logical Input Bit Addresses

	//	The input ports are polled by the timer interrupt
	//	routine.

#define I_DTMF_DET			0		// DTMF Code Available if High
#define I_S1A					1		// DIP Switch 1 On if Low
#define I_S1B					2		// DIP Switch 2 On if Low
#define I_SQUELCH				3		// Rx Squelched if Low


//		*** PUBLIC FUNCTION PROTOTYPES ***

void IO_Init(void);
void IO_Set(byte bitadr);
void IO_Clear(byte bitadr);
bool IO_Get(byte bitadr);
byte IO_GetDTMFCode(void);
// bool S1AIsOn(void);
