/***************************************************************
*																					*
*	cdebug.h: API for Run-Time C Debugging Helps						*
*																					*
*	Originally developed for PSE-407 Repeater Controller			*
*																					*
*	Copyright 2004 by Pion and Simon Electronics.  All				*
*	rights reserved.															*
*																					*
    This file is part of the PSE-508 project

    The PSE-508 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-508 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/

//	If the DEBUG switch is on, the macros below generate
//	their corresponding debugging functions.  Otherwise,
//	they generate empty space.

#ifdef DEBUG

#define DB_PAUSE(x)		DB_Pause(x)
#define DB_MSG(x)			DB_PrintMsg((char *)PSTR(x))
#define DB_BYTE(x)		DB_PrintByte(x)
#define DB_WORD(x)		DB_PrintWord(x)
#define DB_STRING(x)		DB_PrintString(x)

#define DB_BYTE_PAUSE(x)		do{DB_PrintByte(x); \
										DB_Pause(' ');} while(0)

#define DB_WORD_PAUSE(x)		do{DB_PrintWord(x); \
										DB_Pause(' ');} while(0)

#else

#define DB_MSG(x)
#define DB_BYTE(x)
#define DB_WORD(x)
#define DB_BYTE_PAUSE(x)
#define DB_WORD_PAUSE(x)
#define DB_STRING(x)

#endif

//		*** PUBLIC FUNCTION PROTOTYPES ***

void DB_Pause(byte idChar);
void DB_PrintByte(byte num);
void DB_PrintWord(word num);
void DB_PrintMsg(char *pMsg);
void DB_PrintString(char *pStr);
void DB_PrintEvent(MSG *pEvent);
void DB_CRLF(void);
void DB_Mark(byte count);
void DB_Strobe(void);
void DB_SetState(void (*pState)(MSG *pEvent), char stateChar);
void DB_PrintLong(unsigned long num);

#define DB_High()		sbi(PORTB,4)
#define DB_Low()		cbi(PORTB,4)

