/***************************************************************
*																					*
*	plsm.h: API for PL Tone State Machine								*
*																					*
*	Originally developed for PSE-407 Repeater Controller			*
*																					*
*	Copyright 2004 by Pion and Simon Electronics.  All				*
*	rights reserved.															*
*																					*
    This file is part of the PSE-508 project

    The PSE-508 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-508 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/


//		*** DATA STRUCTURE DEFINITIONS ***

#define MAX_PL_DECODE	36
#define MAX_PL_TONES		4		// Number of simultaneous decoders

//		*** PUBLIC FUNCTION PROTOTYPES ***


//	The following functions are defined as macros to simplify
//	turning the PL detector on and off.

void PL_Init(void);
void PL_SetToneDecodeThresholds(void);
bool PL_IsUnsquelched(void);


void PL_EnableEncoder(void);
void PL_DisableEncoder(void);
void PL_ReverseBurst(void);

bool PL_EncodeOnRUSisEnabled(void);
bool PL_EncodeOnPTTisEnabled(void);
bool PL_RevBurstIsEnabled(void);

