/***************************************************************
*																					*
*	audio.h: Audio Control State Machine, 								*
*																					*
*	Originally developed for PSE-407 Repeater Controller			*
*																					*
*	Copyright 2004 by Pion and Simon Electronics.  All				*
*	rights reserved.															*
*																					*
    This file is part of the PSE-508 project

    The PSE-508 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-508 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/


//		*** DATA STRUCTURE DEFINITIONS ***

	// Morse Activity Flags:
	// Use in calls to SetMorseActFlag(), ClearMorseActFlag().

#define AU_DO_ANNO	0b00000001		// Play the announcement.
#define AU_DO_TO		0b00000010		// Do a transmitter timeout message..
#define AU_DO_ERR		0b00000100		// Do a DTMF error message
#define AU_DO_OK		0b00001000		// Do a DTMF OK message
//#define 				0b00010000		// Unused.
#define AU_DO_ID		0b00100000		// Do an ID message.
#define AU_DO_CB		0b01000000		// Do a courtesy beep.
//#define 				0b10000000		// Unused.

//		*** PUBLIC FUNCTION PROTOTYPES ***

void Audio_Init(void);				// Init Audio State Machine
void Audio_Schedule(byte flag);	// Schedule an Audio Task
void Audio_Cancel(byte flag);		// Cancel an Audio Task
void Audio_CancelCB(void);

void Audio_Start(void);				// Start doing scheduled audio tasks.

void Audio_VidDurationTmrISR(void);	// Times the duration of voice IDs
void Audio_StartAnnouncementTimer(void);
void Audio_StopAnnouncementTimer(void);
