/***************************************************************
*																					*
*	avrstd.h: Standard Includes for PSE Compiles on AVR			*
*																					*
*	Originally developed for PSE-407 Repeater Controller			*
*																					*
*	Copyright 2004 by Pion and Simon Electronics.  All				*
*	rights reserved.															*
*																					*
    This file is part of the PSE-508 project

    The PSE-508 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-508 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/

//	Source files that include this one should also include
//

//		***MACROS ****

#ifndef FALSE
#define FALSE				0
#define TRUE				(!FALSE)
#endif

#ifndef NULL
#define NULL				0
#endif

typedef unsigned char	byte;
typedef unsigned char	bool;
typedef unsigned int		word;

#define HI_NIBBLE(x)	((byte)(x) >> 4)
#define LO_NIBBLE(x) ((byte)((x) & 0x0F))

#define MAKEBYTE(x,y)	((x) << 4 | (y))

#define	HI_BYTE(x)	((byte)((word)(x) >> 8))
#define	LO_BYTE(x)	((byte)(x))

#define MAKEWORD(x,y)	((x) << 8 | (y))

#define	HI_WORD(x)	((word)((unsigned long)(x) >> 16))
#define	LO_WORD(x)	((word)(x))

#define FOREVER			for(;;)

#define DI(X)	(X) = SREG; cli()
#define EI(X)	SREG = (X)

//#define ISR		__attribute__((interrupt))

#define BV(x)			(1 << (x))
#define sbi(port, bit) (port) |= (byte)BV(bit)
#define cbi(port, bit) (port) &= (byte)~BV(bit)

#define PRG_RDB(x)	pgm_read_byte(x)
#define PRG_RDW(x)	pgm_read_word(x)

#define inp(x)			(x)
