/***************************************************************
*																					*
*	fgen.c: Frequency Generator, Function Prototypes.				*
*																					*
*	Originally developed for PSE-407 Repeater Controller			*
*																					*
*	Copyright 2004 by Pion and Simon Electronics.  All				*
*	rights reserved.															*
*																					*
    This file is part of the PSE-508 project

    The PSE-508 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-508 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/


//		*** GENERAL DEFINITIONS ***

#define FG_MIN_FREQ		600	// Minimum possible frequency
#define FG_MAX_FREQ		1200	// Maximum possible frequency

#define FGW_TONE			0		// Tone is wave #0
#define FGW_CTCSS			1		// CTCSS is wave #1

#define MAX_CTCSS_ENCODE	36


//		*** DATA STRUCTURE DEFINITIONS ***


//		*** PUBLIC FUNCTION PROTOTYPES ***

void FGen_Init(void);			// Init Waveform Generator
void FGen_Start(byte waveNum);

void FGen_Stop(byte waveNum);

void FGen_SetFreq(byte waveNum, word freq);
void FGen_SetGain(byte waveNum, byte level);

void FGen_SetLinearizedToneGain(void);
//void FGen_SetLinearizedCTCSSGain(void);

void FGen_EnableCTCSSGeneration(byte code);
void FGen_DisableCTCSSGeneration(void);
void FGen_CTCSSReverseBurst(void);
