/***************************************************************
*																					*
*	util.c: General Utility Routines										*
*																					*
*	Originally developed for PSE-407 Repeater Controller			*
*																					*
*	Copyright 2004 by Pion and Simon Electronics.  All				*
*	rights reserved.															*
*																					*
    This file is part of the PSE-508 project

    The PSE-508 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-508 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************/

//		*** INCLUDE FILES ***

#include <avr/pgmspace.h>

#include "avrstd.h"
#include "app.h"
#include "util.h"

/***************************************************************/

//		*** MACROS ****


/***************************************************************/

//		*** GENERAL DEFINITIONS ****


/***************************************************************/

//		*** STATIC FUNCTION PROTOTYPES ****


/***************************************************************/

//		*** DATA STRUCTURE Definitions ***


/***************************************************************/

//		*** VARIABLES ***


/***************************************************************/

//		*** PROGRAM ***


//	Move null-terminated string from Flash to SRAM.

void MovStrFSZ(char *pSRAM, char *pFlash)
{
	char *pString;

	pString = (char *)pFlash;

	while((*pSRAM++ = PRG_RDB(pString++)) != '\0')
		;
}

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

//	Read a word from FLASH

word RdFlashWord(byte *pFlash)
{
	byte retVal1, retVal2;	// Value to be returned to the caller

	retVal1 = PRG_RDB(pFlash++);
	retVal2 = PRG_RDB(pFlash);

	return(retVal1 | (retVal2 << 8));
}

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

//	Move a string from one SRAM location to another.

void CopyStr(char *pDest, char *pSrc)
{
	while((*pDest++ = *pSrc++) != '\0')
		;
}

